Create Compute Profile
This asynchronously creates a new compute profile using the specified configuration and returns a taskId.
The configuration submitted must be unique, non-empty, and include at least one compute resource and a deployment
container with both a valid cluster and datastore. Ensure at least one service, management, and uplink networks are enabled.
Compute Profile object.
Show optional properties
{
"name": "string",
"compute": [
{
"cmpId": "string",
"type": "string",
"id": "string"
}
],
"services": [
{
"name": "string"
}
],
"deploymentContainer": {},
"networks": [
{
"id": "string",
"tags": [
{}
]
}
]
}
{
"computeProfileId": "string",
"name": "string",
"location": "string",
"locationName": "string",
"state": "string",
"deploymentComputeClusterName": "string",
"deploymentComputeClusterId": "string",
"compute": [
{
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
}
],
"services": [
{
"name": "string"
}
],
"deploymentContainer": {
"compute": [
{
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
}
],
"storage": [
{
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
}
],
"folder": {
"cmpId": "string",
"cmpName": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
},
"cpuReservation": 0,
"memoryReservation": 0
},
"networks": [
{
"id": "string",
"name": "string",
"tags": [
"string"
],
"staticRoutes": [
{
"network": "string",
"nextHop": "string"
}
],
"status": {
"state": "string",
"errorMessage": "string"
}
}
],
"switches": [
{
"cmpId": "string",
"id": "string",
"type": "string",
"name": "string",
"maxMtu": "number",
"l2cApplianceCount": "number",
"host": {
"id": "string",
"name": "string"
},
"status": {
"state": "string",
"errorMessage": "string"
}
}
],
"storage": [
{
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
}
]
}
computeProfileId
name
location
locationName
state
deploymentComputeClusterName
deploymentComputeClusterId
compute
services
deploymentContainer
networks
switches
storage
Accepted
{
"data": {
"interconnectTaskId": "string",
"computeProfileId": "string"
},
"warnings": [
{
"message": "string"
}
],
"errors": [
{
"code": "string",
"message": "string"
}
]
}
data
warnings
errors
Bad Request
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
errors
Unauthorized
Forbidden
Unprocessable Entity
{
"data": {
"interconnectTaskId": "string",
"computeProfileId": "string"
},
"warnings": [
{
"message": "string"
}
],
"errors": [
{
"code": "string",
"message": "string"
}
]
}
data
warnings
errors
Internal Server Error
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
errors
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","compute":["object"],"deploymentContainer":"object","services":["object"],"networks":["object"]}' https://{api_host}/hybridity/api/interconnect/computeProfiles